ScXMLContentElt(3)

NAME
ScXMLContentElt - implements the <content> SCXML element.

SYNOPSIS

#include <Inventor/scxml/ScXMLContentElt.h>

Inherits ScXMLElt.

  Public Member Functions
virtual SoType getTypeId (void) const
Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.
virtual void copyContents (const ScXMLElt *rhs)

  Static Public Member Functions
static ScXMLEltReader * getElementReader (void)
static SoType getClassTypeId (void)
static void * createInstance (void)
static void initClass (void)
static void cleanClass (void)

  Additional Inherited Members

Detailed Description

implements the <content> SCXML element.

Member Function Documentation

  SoType ScXMLContentElt::getTypeId (void) const [virtual]

Returns the type identification of an object derived from a class inheriting SoBase. This is used for runtime type checking and 'downward' casting.

See also
    SoBase::getTypeId() const

Implements ScXMLElt.

  void ScXMLContentElt::copyContents (const ScXMLElt * rhs) [virtual]

Reimplemented from ScXMLElt.

Author

Generated automatically by Doxygen for Coin from the source code.